import { ProgressColor } from './../../model/progress/progress-color';
import { OnChanges, SimpleChanges, AfterContentInit } from '@angular/core';
import { Subject } from 'rxjs';
import { ProgressConfiguration } from '../../model/progress/_index';
export declare class ProgressComponent implements AfterContentInit, OnChanges {
    value: number;
    progressComplete: boolean;
    configuration: ProgressConfiguration;
    circumference: number;
    dashoffset: number;
    radiusReady: Subject<number>;
    circle: any;
    color: ProgressColor;
    ngAfterContentInit(): void;
    initElements(): void;
    getRadius(): void;
    ngOnChanges(changes: SimpleChanges): void;
    setColor(): void;
    private progress;
}
